use serde_derive::{Serialize, Deserialize};

#[derive(Serialize, Deserialize)]
#[serde(rename = "si/m")]
pub struct Metre<T>(T);

#[derive(Serialize, Deserialize)]
#[serde(rename = "si/kg")]
pub struct Kilogram<T>(pub T);

#[derive(Serialize, Deserialize)]
#[serde(rename = "si/s")]
pub struct Second<T>(pub T);

#[derive(Serialize, Deserialize)]
#[serde(rename = "si/A")]
pub struct Ampere<T>(pub T);

#[derive(Serialize, Deserialize)]
#[serde(rename = "si/K")]
pub struct Kelvin<T>(pub T);

#[derive(Serialize, Deserialize)]
#[serde(rename = "si/mol")]
pub struct Mole<T>(pub T);

#[derive(Serialize, Deserialize)]
#[serde(rename = "si/cd")]
pub struct Candela<T>(pub T);