use error_chain::{
	error_chain,
	error_chain_processing,
	impl_error_chain_processed,
	impl_error_chain_kind,
	impl_extract_backtrace
};

error_chain! {
	links {
		Serialization(crate::ser::Error, crate::ser::ErrorKind);
		Deserialization(crate::de::Error, crate::de::ErrorKind);
	}
}